%global __provides_exclude ^perl\\(Bit::Vector\\)$
%global __requires_exclude ^perl\\(Carp::Clan\\)\s*$

Summary:        Efficient bit vector, set of integers and "big int" math library
Name:           perl-Bit-Vector
Version:        7.4
Release:        7%{?dist}
License:        (GPLv2+ or Artistic) and LGPLv2+
URL:            https://metacpan.org/release/Bit-Vector
Source0:        https://cpan.metacpan.org/authors/id/S/ST/STBEY/Bit-Vector-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(Carp::Clan) >= 5.3
BuildRequires:  perl(Config) perl(DynaLoader) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(integer) perl(overload) perl(Storable) >= 2.21
BuildRequires:  perl(strict) perl(vars)
Requires:       perl(Carp::Clan) >= 5.3 perl(Storable) >= 2.21

%description
This module provides an efficient C library which allows you to work with arbitrary size 
bit vectors, (integers) sets, "big integer arithmetic" and boolean matrices.

The library greatly improves the execution speed by widely using the divede-and-conquer 
algorithm.

%prep
%autosetup -n Bit-Vector-%{version} 
chmod -c 644 examples/*.pl
perl -MConfig -pi -e 's|^#!/usr/local/bin/perl\b|$Config{startperl}|' examples/benchmk1.pl
perl -MConfig -pi -e 's|^#!perl\b|$Config{startperl}|' examples/{benchmk{2,3},primes,SetObject}.pl

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -a -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license Artistic.txt GNU_GPL.txt GNU_LGPL.txt
%doc CHANGES.txt CREDITS.txt README.txt examples/
%{perl_vendorarch}/Bit/
%{perl_vendorarch}/auto/Bit/
%{_mandir}/man3/*.3*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 7.4-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Wang Guodong <gordonwwang@tencent.com> - 7.4-1
- package init.
